%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% @brief: Closes the Simulation 
% https://www.iriscores.com
% Author: Vojtech Ters 2016/2022
% vojta.ters@iriscores.com
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function Callback_Figure_Close( src,Event )

global S;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Stop and Delete the Timer %
if(isfield(S,'Tm')) 
  if (isvalid(S.Tm))
    if(strcmp(S.Tm.Running,'on'))
        stop(S.Tm);
        delete(S.Tm);
    end
  end
end

%%%%%%%%%%%%%%%%%%%%
% Close the Figure %
delete(S.Fm);


end

